{
  name = "log";
  machine = { pkgs, ... }: {
    genode.init.children.log = {
      binary = "${pkgs.genodePackages.test-log}/bin/test-log";
      configFile = pkgs.writeText "test-log.dhall" ''
        let Genode =
                env:DHALL_GENODE
              ? https://git.sr.ht/~ehmry/dhall-genode/blob/master/package.dhall

        let Child = Genode.Init.Child

        in  λ(binary : Text) →
              Child.flat
                Child.Attributes::{
                , binary
                , exitPropagate = True
                , resources = Genode.Init.Resources::{
                  , caps = 500
                  , ram = Genode.units.MiB 10
                  }
                }
      '';
    };
  };
  testScript = ''
    start_all()
    machine.wait_until_serial_output("Test done.")
  '';
}
